Subject: Re: Deleting remote branches with git-branch and reflog questions

From: Andy Parkins <[email-masked]>
Date: Tue, 23 Jan 2007 14:32:22 +0000

On Tuesday 2007 January 23 13:12, Jakub Narebski wrote:

> The problem is when you delete branch 'foo', and then create branch
> 'foo/bar'. You can't have both 'foo' and 'foo/bar' reflog.

Ah; yes of course.  That is a bit of a deal breaker isn't it?

On the other hand, why delete it instantly?  Since the reflog is currently 
deleted by git-branch anyway, couldn't the deletion be delayed until the 
creation of foo/bar?  At least then the deletion only hits if it really has 
to.  In most circumstances foo then foo/bar is fairly unlikely.

Andy

-- 
Dr Andy Parkins, M Eng (hons), MIEE
[email-masked]